
import java.net.URL;
import javax.swing.Icon;
import javax.swing.ImageIcon;

/**
 * Třída představuje jednu minci.
 * 
 * // TODO předělat na enum
 *
 * @author Lubos Pavlíček, 5. listopadu 2012
 */
public class Mince {
    private Icon obrazek;    // obrázek mince
    private String nazev;    // název mince

    /**
     * Konstruktor pro vytvoření mince
     * 
     * @param nazev název mince, libovolný řetězec,
     * @param jmenoObrazku jmeno souboru s obrázkem mince, tento soubor musí být v adresáři obrazky
     *                     přípustné typy - png, gif, jpeg
     */
    public Mince(String nazev, String jmenoObrazku) {
        this.nazev = nazev;
        URL url = Mince.class.getResource("/obrazky/"+jmenoObrazku);
        if (url != null) {
            obrazek = new ImageIcon(url);
        }
        else {
            throw new IllegalArgumentException("nenalezen obrázek /obrazky/"+jmenoObrazku);
        }
    }
    
    /**
     * vrací název mince
     * 
     * @return název mince
     */

    public String getNazev() {
        return nazev;
    }

    /**
     * Vráci odkaz na obrázek (Icon) mince.
     * 
     * @return vrací obrázek (Icon) mince.
     */
    public Icon getIcon() {
        return obrazek;
    }

}
